- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Validator File Reference

`#include <osgFX/Effect>`
`#include <osg/ref_ptr>`
`#include <osg/StateAttribute>`
`#include <vector>`

Include dependency graph for Validator:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osgFX
## Classes
class | osgFX::Validator
| This class is used internally by osgFX::Effect to choose between different techniques dynamically. More...